<?php

/*
Plugin Name: SilverLight Video Player
Version: 1.1
Plugin URL: Not yet available
Description: Simplifies the process of adding a WMV video to a WordPress blog. Based on Jeroen Wijering's WMV Player: http://www.longtailvideo.com/players/jw-wmv-player/
Author: Malko Duchier
Author URI: http://malko.mad.free.fr

*/

$site_url = get_option('siteurl');



function SilverVideo_head() {
	global $site_url;
	echo '<script type="text/javascript" src="' . $site_url . '/wp-content/plugins/SLVideoPlayer/silverlight.js' . '"></script>' . "\n";
	echo '<script type="text/javascript" src="' . $site_url . '/wp-content/plugins/SLVideoPlayer/wmvplayer.js' . '"></script>' . "\n";
}

add_action('wp_head', 'SilverVideo_head');


function SilverVideo_Parse($content) {
	$content = preg_replace_callback("/\[slvideoplayer ([^]]*)\/\]/i", "SLVideo_Render", $content);
	
	return $content;
}

function SLVideo_Render($matches){
	global $site_url;
	$back_content;
	// recuperation des parametres et incription du javascript qui va generer le player
	
	$matches[1] = str_replace('=' , ':' , $matches[1]);
	$params = array();
	$attributs = explode(',', $matches[1]);
	foreach($attributs as $value){
		$divis = explode(':',$value);
		$params[$divis[0]] = $divis[1];
	}
	$v_name = explode('.',$params["file"]);
		
	$back_content .=  "\n".'<div id="'.$v_name[0].'"></div>'. "\n";
	$back_content .=  '<script type="text/javascript">'. "\n";
	$back_content .=  '	var elm = document.getElementById("'.$v_name[0].'");'. "\n";
	$back_content .=  '	var src = "' . $site_url .'/wp-content/plugins/SLVideoPlayer/wmvplayer.xaml"; '. "\n";
	$back_content .=  '	var cfg = {'. "\n";
	
	$mods = false;
	foreach($attributs as $value){
		$divis = explode(':',$value);
		$params[$divis[0]] = $divis[1];
		if(preg_match("/file/i", $value) && $mods==false){
			$back_content .=  '	file : "' . $site_url . '/wp-content/videos/' .$params["file"].'"';
			$mods = true;
		}else { $mods = false; }
		if(preg_match("/image/i", $value) && $mods == false){
			$back_content .=  ','. "\n".'	image : "' . $site_url . '/wp-content/videos/' .$params["image"].'"';
			$mods=true;
		}else { $mods == false; }
		if($mods == false){
			$back_content .=  ','. "\n".$value;	
		}
				        
	}
	$back_content .=  "	\n".'};'. "\n";
	$back_content .=  '	var ply = new jeroenwijering.Player(elm,src,cfg);'. "\n";
	$back_content .=  '</script>'. "\n";	
	return $back_content;
}
add_filter('the_content', 'SilverVideo_Parse');


?>